Table of Contents

_________________________________________________________________

## NAME

FooClass - create and manipulate a FooClass widget.

## SYNOPSIS

FooClass pathName ?options?

## INHERITANCE

itk::Archetype <- itk::Widget <- FooClass

## STANDARD OPTIONS

  background cursor

See the "options" manual entry for details on the standard options.

## ASSOCIATED OPTIONS

## INHERITED OPTIONS

## WIDGET-SPECIFIC OPTIONS

Name:

Class:

Command-Line Switch:

## DESCRIPTION

## METHODS

The FooClass command creates a new Tcl command whose name is pathName. This command may be used to invoke various operations on the FooClass widget. It has the following general form:

pathName option ?arg arg ...?

Option and the args determine the exact behavior of the command. The following commands are possible for FooClass widgets:

### BUILT-IN METHODS

  isa info

### ASSOCIATED METHODS

### INHERITED METHODS

### WIDGET-SPECIFIC METHODS

pathName cmd
  Definintion of cmd.

## COMPONENTS

Name:

Class:

## NOTES

## EXAMPLE

## ACKNOWLEDGEMENTS:

Mark L. Ulferts <mulferts@austin.dsccc.com>

            Basic layout for documenting classes.

## AUTHOR

Robert G. Parker

## KEYWORDS

Table of Contents

- NAME
- SYNOPSIS
- INHERITANCE
- STANDARD OPTIONS
- ASSOCIATED OPTIONS
- INHERITED OPTIONS
- WIDGET-SPECIFIC OPTIONS
- DESCRIPTION
- METHODS
- BUILT-IN METHODS
- ASSOCIATED METHODS
- INHERITED METHODS
- WIDGET-SPECIFIC METHODS
- COMPONENTS
- NOTES
- EXAMPLE
- ACKNOWLEDGEMENTS
- AUTHOR
- KEYWORDS